XAMPP-Update

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

XAMPP-Update

Postby seeker » 24. November 2005 13:11

Hallo zusammen! :)

Ich bin neu hier in diesem Forum und hab gleich mal eine Frage:

Ich verwende XAMPP Version 1.4.14.
Aktuell ist aber jetzt Version 1.5.0.

Nun möchte ich aber mein altes XAMPP nicht löschen müssen, um das neue verwenden zu können.

Frage:
Kann ich mein XAMPP updaten?
Und wenn ja, wie? :roll:

Vielen Dank im Vorraus für jede Antwort!
User avatar
seeker
 
Posts: 5
Joined: 24. November 2005 12:57

Postby deepsurfer » 24. November 2005 15:06

Frage:
Kann ich mein XAMPP updaten?
Und wenn ja, wie? Rolling Eyes


Antwort: Ja

gehe dazu bitte auf
http://sourceforge.net/project/showfile ... e_id=89552

Dort aus der jeweils nachfolgenden Version das "Upgrade" Paket herunterladen.
Du hast 1.4.14 also Upgrade 1.4.15, dann upgrade 1.4.16 dann upgrade 1.5.0, dann noch upgrade 1.5.0-pl1

Im normalfall sollte der Upgrade weg einwandfrei funktionieren, es gab vereinzelt einige User die von Problemen sprachen, folglich auf jedenfall ein Backup deines 1.4.14 machen.

Bedenke bitte das du auch die selbe "Installer" Version benutzt wie du sie für 1.4.14 genommen hast.

Hinzufügen sei noch angemerkt das ab XAMPP 1.5.0 es durchaus zu Problemen mit MySQL kommen kann, da ab dieser XAMPPversion das MySQL-5 integriert ist und damit kamen einige neue funtkionen und auch einige einschränkungen bezüglich MySQL.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby seeker » 24. November 2005 15:26

Vielen Dank für die Antwort! :)

Also zuerst Upgrade 1.4.15, dann Upgrade 1.4.16 dann Upgrade 1.5.0, dann noch Upgrade 1.5.0-pl1.

Scheint als hätt ich da ein paar Upgrades verpasst ;)

Frage:
Was ist der Unterschied zwischen 1.5.0 und 1.5.0-pl1 ?

Hinzufügen sei noch angemerkt das ab XAMPP 1.5.0 es durchaus zu Problemen mit MySQL kommen kann, da ab dieser XAMPPversion das MySQL-5 integriert ist und damit kamen einige neue funtkionen und auch einige einschränkungen bezüglich MySQL.


Was für Einschränkungen kamen da?

Sollte ich also lieber nur bis Version 1.4.16 Upgraden und die 1.5 Versionen lassen?
User avatar
seeker
 
Posts: 5
Joined: 24. November 2005 12:57

Problem bei Update

Postby seeker » 25. November 2005 08:52

Hallo zusammen! :)

Ich hab jetzt 2 Updates durchgeführt:
xampp-upgrade-1.4.15-installer.exe
und
xampp-upgrade-1.4.16-installer.exe

Hat auch alles wunderbar geklappt, nur bekomm ich jetzt immer diese Meldungen:

Function registartion failed - duplicate name - openssl_pkeyfree
Function registartion failed - duplicate name - openssl_pkey_new
Function registartion failed - duplicate name - openssl_export
Function registartion failed - duplicate name - openssl_export_to_file
Function registartion failed - duplicate name - openssl_get_private
Function registartion failed - duplicate name - openssl_get_public
Function registartion failed - duplicate name - openssl_free_key
Function registartion failed - duplicate name - openssl_get_private_key
Function registartion failed - duplicate name - openssl_get_public_key
Function registartion failed - duplicate name - openssl_x509_read
Function registartion failed - duplicate name - openssl_x509_free
Function registartion failed - duplicate name - openssl_x509_parse
Function registartion failed - duplicate name - openssl_x509_checkpurpose
Function registartion failed - duplicate name - openssl_x509_check_private_key
Function registartion failed - duplicate name - openssl_x509_export
Function registartion failed - duplicate name - openssl_x509_export_to_file
Function registartion failed - duplicate name - openssl_csr_new
Function registartion failed - duplicate name - openssl_csr_export
Function registartion failed - duplicate name - openssl_csr_export_to_file
Function registartion failed - duplicate name - openssl_csr_sign
Function registartion failed - duplicate name - openssl_sign
Function registartion failed - duplicate name - openssl_verify
Function registartion failed - duplicate name - openssl_seal
Function registartion failed - duplicate name - openssl_open
Function registartion failed - duplicate name - openssl_pkcs7_verify
Function registartion failed - duplicate name - openssl_pkcs7_decrypt
Function registartion failed - duplicate name - openssl_pkcs7_sign
Function registartion failed - duplicate name - openssl_pkcs7_encrypt
Function registartion failed - duplicate name - openssl_private_encrypt
Function registartion failed - duplicate name - openssl_private_decrypt
Function registartion failed - duplicate name - openssl_public_decrypt
Function registartion failed - duplicate name - openssl_error_string
openssl: Unable to register functions, unable to load


Was haben diese Meldungen zu bedeuten???
Eigentlich funktioniert ja alles, nur diese (sehr vielen) Meldungen sind schon sehr störend...

Was kann ich dagegen tun? :roll:
User avatar
seeker
 
Posts: 5
Joined: 24. November 2005 12:57

Postby deepsurfer » 25. November 2005 12:34

hast du ein Backup gemacht ???? (hatte darauf hingewiesen)

Zu dieser Fehlermeldung kann ich nur vermuten das du da etwas mit SSL bei dir geändert hattest das dieses Upgrade nicht verstanden hat.

Bin darauf bezogen aber auch ratlos.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby Wiedmann » 26. November 2005 10:35

Hat auch alles wunderbar geklappt, nur bekomm ich jetzt immer diese Meldungen:
Function registartion failed - duplicate name - openssl_...

Zuwas wir eine Suchfunktion haben? ...
http://community.apachefriends.org/f/viewtopi ... name#59327
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby seeker » 28. November 2005 08:35

@deepsurfer:
Ja, ich hab ein Backup gemacht, aber die Fehlermeldungen hab ich trotzdem nicht wegbekommen (beim Nochmal-Versuchen)

@Wiedmann:
In der "php.ini" die Extension "php_openssl.dll" deaktivieren.

Vielen Dank!
Hab ich gemacht und es scheint so, als ob das Problem damit gelöst wäre!
DANKE! :)
User avatar
seeker
 
Posts: 5
Joined: 24. November 2005 12:57

Postby Montoyafan » 10. December 2005 02:15

Hallo,

ich habe das selbe Problem, allerdings nur auf PHP 4.

Ich habe aus allen php.ini die Einbindung der php_openssl.dll deaktiviert aber diese Meldungen kommen immer noch.

(/xampp/php/php.ini, (/xampp/php/php5-safemode.ini; (/xampp/php/php5.ini; (/xampp/php/php4/php4.ini, (/xampp/php/php4/php4-safemode.ini)

Wenn ich auf PHP 5 switche bekomme ich diese Fehlermeldung nicht, auf 4 aber immer wieder :cry:

Kann wer helfen?

Cu
Montoyafan
 
Posts: 2
Joined: 16. June 2004 15:34

Postby Wiedmann » 13. December 2005 11:29

Ich habe aus allen php.ini die Einbindung der php_openssl.dll deaktiviert aber diese Meldungen kommen immer noch.

(/xampp/php/php.ini, (/xampp/php/php5-safemode.ini; (/xampp/php/php5.ini; (/xampp/php/php4/php4.ini, (/xampp/php/php4/php4-safemode.ini)

Schau dir bitte die Ausgabe von phpinfo() asn welche die korrekte "php.ini" ist.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 7 guests